Name: kdm-conf-milab
Summary: KDM config for Machine Intelligence Laboratory
Version: 1.0
Release: 1
License: Not to be distributed outside of CUED
Group: CUED/MILAB/Configuration
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: Anna Langley <jal58@eng.cam.ac.uk>
Requires: kdebase3-kdm
Url: http://mi.eng.cam.ac.uk/
BuildArch: noarch
Distribution: MILAB

%description
KDE wallpapers, and KDM login configuration for MI Lab.

%prep

%setup -q

%build

%install
cp -r * $RPM_BUILD_ROOT

%clean

%files 
%defattr(444,root,root)
/opt/kde3/share/wallpapers/

%config 

%post
cat<<EOF > /etc/opt/kde3/share/config/kdm/backgroundrc
[Desktop0]
BackgroundMode=Flat
BlendBalance=100
BlendMode=NoBlending
ChangeInterval=60
Color1=164,182,222
Color2=82,109,180
CurrentWallpaper=0
LastChange=0
MinOptimizationDepth=1
MultiWallpaperMode=NoMulti
Pattern=
Program=
ReverseBlending=false
UseSHM=false
Wallpaper=sand_fine.jpg
WallpaperList=
WallpaperMode=Scaled
EOF

cat<<EOF > /etc/opt/kde3/share/config/kdm/kdmrc
[General]
AuthDir=/var/lib/xdm/authdir/authfiles/
ConfigVersion=2.0
PidFile=/var/run/kdm.pid
Xservers=/etc/opt/kde3/share/config/kdm/Xservers

[Shutdown]
HaltCmd=/sbin/halt
LiloCmd=/sbin/lilo
LiloMap=/boot/map
RebootCmd=/sbin/reboot
UseLilo=false

[X-*-Core]
AllowNullPasswd=true
AllowRootLogin=true
AllowShutdown=All
AutoReLogin=false
Reset=/etc/X11/xdm/Xreset
Resources=/etc/X11/xdm/Xresources
Session=/etc/X11/xdm/Xsession
Setup=/etc/X11/xdm/Xsetup
Startup=/etc/X11/xdm/Xstartup
TerminateServer=true

[X-*-Greeter]
AdminSession=YaSTadminSession
AntiAliasing=true
BackgroundCfg=/etc/opt/kde3/share/config/kdm/backgroundrc
ColorScheme=SuSE
DefaultUser=
EchoMode=OneStar
FaceSource=AdminOnly
FailFont=Nimbus Sans l,14,-1,5,74,0,0,0,0,0
FocusPasswd=false
GUIStyle=Keramik
GreetFont=Nimbus Sans l,20,-1,5,48,0,0,0,0,0
GreetString=%h
GreeterPosFixed=false
GreeterPosX=100
GreeterPosY=100
HiddenUsers=root,nobody,bigsister
Language=en_GB
LogoArea=Clock
LogoPixmap=
MaxShowUID=65000
MinShowUID=500
PreselectUser=None
SelectedUsers=
SessionTypes=kde,gnome,fvwm2,failsafe,
ShowUsers=None
SortUsers=true
StdFont=Nimbus Sans l,14,-1,5,48,0,0,0,0,0
UseBackground=true

[X-:*-Core]
AllowNullPasswd=true
AllowRootLogin=true
AllowShutdown=All
NoPassEnable=false
NoPassUsers=

[X-:*-Greeter]
AdminSession=YaSTadminSession

[X-:0-Core]
AutoLoginEnable=false
AutoLoginUser=
NoPassEnable=false
NoPassUsers=

[X-:0-Greeter]
AdminSession=
LogSource=/dev/xconsole
ShowLog=false

[Xdmcp]
Enable=false
Willing=/etc/X11/xdm/Xwilling
Xaccess=/etc/X11/xdm/Xaccess
EOF

%changelog
* Thu Sep 09 2004 Anna Langley <jal58@eng.cam.ac.uk>
  Created initial RPM.
